package com.ssj.service.conch.parents.v1.request;

import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import com.ssj.bean.common.framework.core.domain.BaseRequest;

/**
 * @author Mount Liu
 * @date 2018/1/16
 */
public class PayVipNewReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

	@ApiModelProperty(name = "vipId", value = "学生vipId", required = true)
	private String vipId;
	@ApiModelProperty(name = "price", value = "卡价格", required = true)
	private BigDecimal price;
	@ApiModelProperty(name = "number", value = "数量（年卡、半年卡传1；月卡传选中月数）", required = true)
	private Integer number;
	@ApiModelProperty(name = "priceType", value = "卡类型（C004:作业吧月卡;C005:作业吧半年卡;C006:作业吧年卡）", required = true)
	private String priceType;
	@ApiModelProperty(name = "leagueId", value = "图书馆id", required = true)
	private String leagueId;
	@ApiModelProperty(name = "appType", value = "程序端(6:家长端小程序;7:老师端小程序（校长端和老师端);11:app老师端;12:app家长端)", required = true)
	private Integer appType;
	@ApiModelProperty(name = "type", value = "1:首次购买，2：续费", required = true)
	private int type;
	@ApiModelProperty(name = "childName", value = "孩子姓名", required = true)
	private String childName;
	@ApiModelProperty(name = "grade", value = "年级", required = true)
	private String grade;
	@ApiModelProperty(name = "phone", value = "联系电话", required = true)
	private String phone;
	@ApiModelProperty(name = "school", value = "学校", required = true)
	private String school;
	@ApiModelProperty(name = "parentName", value = "家长姓名", required = true)
	private String parentName;
	@ApiModelProperty(name = "payType", value = "支付方式（0：微信支付，1：支付宝支付）", required = false)
	private int payType;

	public int getPayType() {
		return payType;
	}

	public void setPayType(int payType) {
		this.payType = payType;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public String getPriceType() {
		return priceType;
	}

	public void setPriceType(String priceType) {
		this.priceType = priceType;
	}

	public String getLeagueId() {
		return leagueId;
	}

	public void setLeagueId(String leagueId) {
		this.leagueId = leagueId;
	}

	public Integer getAppType() {
		return appType;
	}

	public void setAppType(Integer appType) {
		this.appType = appType;
	}

	public String getChildName() {
		return childName;
	}

	public void setChildName(String childName) {
		this.childName = childName;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getSchool() {
		return school;
	}

	public void setSchool(String school) {
		this.school = school;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}
}
